# $Revision: 1.9 $, $Date: 2011/07/11 20:31:06 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Audio
%define	pnam	FLAC-Header
Summary:	Audio::FLAC::Header - interface to FLAC header metadata
Summary(pl.UTF-8):	Audio::FLAC::HEADER - interfejs do metadanych nagłówków FLAC
Name:		perl-Audio-FLAC-Header
Version:	2.4
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Audio/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	743292694c050be1b10fb4a307f81e87
URL:		http://search.cpan.org/dist/Audio-FLAC-Header/
BuildRequires:	flac-devel
BuildRequires:	perl-Test-Pod-Coverage
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module returns a hash containing basic information about a FLAC
file, a representation of the embedded cue sheet if one exists, as
well as tag information contained in the FLAC file's Vorbis tags.

%description -l pl.UTF-8
Ten moduł zwraca hasza zawierającego podstawowe informacje o pliku
FLAC reprezentujące osadzone wskazówki, a także informacje ze
znaczników Vorbis zawartych w pliku FLAC.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%dir %{perl_vendorarch}/Audio/FLAC
%{perl_vendorarch}/Audio/FLAC/Header.pm
%dir %{perl_vendorarch}/auto/Audio/FLAC
%dir %{perl_vendorarch}/auto/Audio/FLAC/Header
%{perl_vendorarch}/auto/Audio/FLAC/Header/Header.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Audio/FLAC/Header/Header.so
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-FLAC-Header.spec,v $
Revision 1.9  2011/07/11 20:31:06  marti
- up to 2.4

Revision 1.8  2010/06/06 08:30:40  arekm
- release 2

Revision 1.7  2009/05/04 20:50:58  areq
- 2.3

Revision 1.6  2008/03/23 15:13:32  twittner
- up to 2.0

Revision 1.5  2008-03-13 21:49:48  qboosh
- pl, cleanup

Revision 1.4  2008-01-22 17:52:09  twittner
- rel. 1

Revision 1.3  2008-01-10 08:38:34  glen
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

Revision 1.2  2007-12-23 22:24:48  zbyniu
- up to 1.9

Revision 1.1  2007-11-10 22:42:16  twittner
- initial, by pldcpan
